.card-music {
  // width: 180px;
  height: 290px;
  padding: 16px;
  border-radius: 8px;
  background-color: var(--dark-gray2);
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  transition: 0.4s background-color ease;
  cursor: pointer;
  &__img {
    position: relative;
    margin-bottom: 8px;
    border-radius: 8px;
    height: min-content;
    width: 100%;
    height: 168px;
    background-color: burlywood;
    .card-music__cover {
      width: 100%;
      height: 100%;
      box-shadow:  0px 0px 18px 4px rgba(13, 13, 13, 0.7);
      border-bottom: 5px solid rgb(133, 235, 255);
      object-fit: cover;
      border-radius: 8px;
      filter: brightness(0.8);
      &.red {
        border-bottom: 5px solid #ff4040;
      }
      &.yellow {
        border-bottom: 5px solid #ffff3e;
      }
    }
    figcaption {
      color: #fff;
      font-size: 0.8rem;
      position: absolute;
      bottom: 12px;
      left: 8px;
    }
    .card-music__play {
      opacity: 0;
      position: absolute;
      bottom: 0px;
      right: 2px;
      transition: opacity 0.4s ease, bottom 0.5s ease;
      img {
        height: 50px;
        width: 50px;
      }
      &:hover {
        transform: scale(1.05);
      }
    }

    &::before {
      content: "";
      position: absolute;
      bottom: 14px;
      left: 0px;
      height: 12px;
      width: 4px;
      background-color: #85ebff;
      z-index: 2;
    }
    &.red::before {
      background-color: #ff4040;
    }
    &.yellow::before {
      background-color: #ffff3e;
    }
  }
  &__title {
    margin-bottom: 8px;
    font-size: 0.9rem;
    color: #fff;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }
  &__links {
    max-height: 42px;
    display: flex;
    gap: 4px;
    flex-wrap: wrap;
    overflow: hidden;
    -webkit-line-clamp: 2;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  &__link {
    color: #dadada;
    text-decoration: none;
    overflow: hidden;
    &:hover {
      text-decoration: underline;
    }
  }

  &:hover {
    background-color: #333333;
    transition: 0.4s background-color ease;
    .card-music__play {
      opacity: 1;
      position: absolute;
      bottom: 5px;
      transition: opacity 0.4s ease, bottom 0.5s ease;
    }
  }

}
